## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate nu-test-support

Name:           rust-nu-test-support
Version:        0.99.1
Release:        %autorelease
Summary:        Support for writing Nushell tests

License:        MIT
URL:            https://crates.io/crates/nu-test-support
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Allow which 7: https://github.com/nushell/nushell/pull/14489
Patch:          nu-test-support-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Support for writing Nushell tests.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * test fixtures are not shipped
%{cargo_test -- -- --exact %{shrink:
    --skip playground::tests::current_working_directory_back_to_root_from_anywhere
    --skip playground::tests::current_working_directory_in_sandbox_directory_created
}}
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Dec 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.99.1-2
- Allow which 7
- https://github.com/nushell/nushell/pull/14489

* Thu Nov 14 2024 Michel Lind <salimma@fedoraproject.org> - 0.99.1-1
- Update to version 0.99.1

* Tue Jul 30 2024 Michel Lind <salimma@fedoraproject.org> - 0.96.1-1
- Update to 0.96.1

* Mon Jul 29 2024 Michel Lind <salimma@fedoraproject.org> - 0.96.0-1
- Update to 0.96.0 (rhbz#2272739)

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.91.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Mar 07 2024 Michel Lind <salimma@fedoraproject.org> - 0.91.0-1
- Update to 0.91.0 (rhbz#2257516)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.88.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 05 2024 Michel Lind <salimma@fedoraproject.org> - 0.88.1-1
- Update to 0.88.1

* Fri Oct 27 2023 Michel Lind <salimma@fedoraproject.org> - 0.86.0-1
- Update to 0.86.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.80.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri May 19 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.80.0-1
- Update to 0.80.0

* Wed Feb 22 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.76.0-1
- Update to 0.76.0

* Thu Feb 16 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.75.0-1
- Update to 0.75.0

* Sun Jan 22 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.74.0-1
- Initial Fedora package
## END: Generated by rpmautospec
